Bug 21840 - Fix some typos in the templates
Summary: Fix some typos in the templates
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Jasmine Amohia
QA Contact: Martin Renvoize
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2018-11-15 07:17 UTC by Katrin Fischer
Modified: 2019-02-25 09:48 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21840: Fixed some typos in the templates (4.72 KB, patch)
2019-01-16 01:52 UTC, Jasmine Amohia
Details | Diff | Splinter Review
Bug 21840: Fixed some typos in the templates (4.77 KB, patch)
2019-01-17 06:46 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21840: Fixed some typos in the templates (4.83 KB, patch)
2019-02-08 14:19 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2018-11-15 07:17:10 UTC
Found while translating:

Are you sure you wish to remove this item from it's rota
Comment 1 Katrin Fischer 2018-11-15 07:22:18 UTC
intranet-tmpl/prog/en/modules/ill/ill-requests.tt:13
Bibliograpic record ID
Comment 2 Katrin Fischer 2018-11-15 07:28:21 UTC
Some possible issue here, as this showed up as a template variable to translate and not as %s:

intranet-tmpl/prog/en/modules/acqui/basket.tt:547
Can't cancel order, ([% books_loo.holds_on_order | html %]) holds are linked with this order cancel holds first
Comment 3 Katrin Fischer 2018-11-15 07:29:23 UTC
(In reply to Katrin Fischer from comment #2)
> Some possible issue here, as this showed up as a template variable to
> translate and not as %s:
> 
> intranet-tmpl/prog/en/modules/acqui/basket.tt:547
> Can't cancel order, ([% books_loo.holds_on_order | html %]) holds are linked
> with this order cancel holds first

Same here: parcel.tt
 Can't cancel order, ([% loop_order.holds_on_order | html %]) holds are linked with this order cancel holds first
Comment 4 Katrin Fischer 2018-11-15 20:57:50 UTC
intranet-tmpl/prog/en/modules/labels/spinelabel-print.tt:32
Print this slabel
Comment 5 Katrin Fischer 2018-12-20 10:41:49 UTC
I think issues in comment#2 and comment#3 can be left out here, no typos, but something we need to have a look at another time.
Comment 6 Jasmine Amohia 2019-01-16 01:52:03 UTC
Created attachment 84036 [details] [review]
Bug 21840: Fixed some typos in the templates

intranet-tmpl/prog/en/modules/ill/ill-requests.tt:13
Bibliograpic record ID --> Bibliographic record ID

intranet-tmpl/prog/en/modules/acqui/basket.tt:547
Can't cancel order, ([% books_loo.holds_on_order | html %]) holds are linked with this order cancel holds first -->  ... with this order. Cancel holds first

intranet-tmpl/prog/en/modules/acqui/parcel.tt
Can't cancel order, ([% loop_order.holds_on_order | html %]) holds are linked with this order cancel holds first --> ... with this order. Cancel holds first

intranet-tmpl/prog/en/modules/labels/spinelabel-print.tt:32
Print this slabel --> Print this label

Test plan:
1. Check that the fixes in the patch are correct
Comment 7 Katrin Fischer 2019-01-17 06:46:01 UTC
Created attachment 84128 [details] [review]
Bug 21840: Fixed some typos in the templates

intranet-tmpl/prog/en/modules/ill/ill-requests.tt:13
Bibliograpic record ID --> Bibliographic record ID

intranet-tmpl/prog/en/modules/acqui/basket.tt:547
Can't cancel order, ([% books_loo.holds_on_order | html %]) holds are linked with this order cancel holds first -->  ... with this order. Cancel holds first

intranet-tmpl/prog/en/modules/acqui/parcel.tt
Can't cancel order, ([% loop_order.holds_on_order | html %]) holds are linked with this order cancel holds first --> ... with this order. Cancel holds first

intranet-tmpl/prog/en/modules/labels/spinelabel-print.tt:32
Print this slabel --> Print this label

Test plan:
1. Check that the fixes in the patch are correct

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Martin Renvoize 2019-02-08 14:19:45 UTC
Created attachment 84867 [details] [review]
Bug 21840: Fixed some typos in the templates

intranet-tmpl/prog/en/modules/ill/ill-requests.tt:13
Bibliograpic record ID --> Bibliographic record ID

intranet-tmpl/prog/en/modules/acqui/basket.tt:547
Can't cancel order, ([% books_loo.holds_on_order | html %]) holds are linked with this order cancel holds first -->  ... with this order. Cancel holds first

intranet-tmpl/prog/en/modules/acqui/parcel.tt
Can't cancel order, ([% loop_order.holds_on_order | html %]) holds are linked with this order cancel holds first --> ... with this order. Cancel holds first

intranet-tmpl/prog/en/modules/labels/spinelabel-print.tt:32
Print this slabel --> Print this label

Test plan:
1. Check that the fixes in the patch are correct

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 9 Martin Renvoize 2019-02-08 14:20:06 UTC
Sane changes, no regressions.

Passing QA
Comment 10 Nick Clemens 2019-02-11 18:38:45 UTC
Awesome work all!

Pushed to master for 19.05
Comment 11 Martin Renvoize 2019-02-12 13:18:39 UTC
Pushed to 18.11.x for 18.11.03
Comment 12 Lucas Gass 2019-02-14 23:13:33 UTC
backported to 18.05.x for 18.05.09
Comment 13 Fridolin SOMERS 2019-02-25 09:48:18 UTC
I dont backport to 17.11.x to avoid translation work